.prime_modal {
    width: 100%;
    min-height: 100%;
    height: auto;
    background: rgba(0,0,0,0.45);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999999;
    overflow-y: auto;
    opacity: 1;
    animation: prime_modal 0.2s forwards;
    overflow: hidden;
    font-family: 'Arial', sans-serif;
}

.prime_modal.draggable {
    background: transparent;
    pointer-events: none;
}

@keyframes prime_modal {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes prime_modal_closing {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

.prime_modal .prime_modal_container {
    background: #fff;
    max-width: calc(95% - 30px);
    position: absolute;
    top: 50%;
    left: 50%;
    /*transform: translate(-50%, -50%);*/
    animation: prime_modal_in 0.15s forwards;

    opacity: 0;
    border-radius: 5px;
    padding: 15px;
}

.prime_modal.draggable .prime_modal_container {
    box-shadow: 0px 0px 15px 3px rgba(0,0,0,0.25);
    pointer-events: auto;
}

.prime_modal_error {
    border-bottom: 10px solid #ff6a6a;
}

.prime_modal_success {
    border-bottom: 10px solid #6fcb7f;
}

.prime_modal_blue {
    border-bottom: 10px solid #005eb9;
}

.prime_modal_warning {
    border-bottom: 10px solid #ffc680;
}

.prime_modal .prime_modal_buttons {
    width: auto;
    padding: 20 0 0 0;
    float: right;
}

.prime_modal .prime_modal_buttons_left {
    float: left;
}

.prime_modal .prime_modal_buttons .button {
    margin: 5px 5px 5px 0px;
    border-radius: 4px;
}

.prime_modal .prime_modal_buttons .button:last-child {
    /* border-bottom-right-radius: 10px; */
}

.prime_modal .prime_modal_uncentered {
    top: 25px;
    animation: prime_modal_in_uncentered 0.15s forwards;
    /*transform: translate(-50%, -0%);*/
}

.prime_modal_closing .prime_modal_container {
    animation: prime_modal_out 0.25s forwards;
}

.prime_modal_closing .prime_modal_uncentered {
    animation: prime_modal_out_uncentered 0.15s forwards !important;
}

.prime_modal_closing {
    animation: prime_modal_closing 0.15s forwards;
}

.prime_modal .prime_modal_content {
    overflow-y: auto;
    max-height: 85%;
}

.prime_modal .prime_modal_title {
    color: #4e4e4e;
    font-size: 1em;
    margin: 0 0 5 0;
    font-weight: bold;
}

.prime_modal .prime_modal_title .prime_modal_close {
    float: right;
    cursor: pointer;
    padding: 3px 8px;
}

.prime_modal .prime_modal_title .prime_modal_close:hover {
    background: #ebebeb;
}

.prime_modal .button {
  display: inline-block;
  padding: 8px 15px;
  vertical-align: middle;
  cursor: pointer;
  width: auto;
  text-decoration: none;
  margin: 0 5 0 0;
  cursor: pointer;
  white-space: nowrap;
  font-size: 12px;
  border-radius: 4px;
  min-height: 15px;
}

.prime_modal .button[disabled], .modifying_field[disabled], .button_disabled:not(.button_generate) {
    opacity: 0;
    display: none;
    pointer-events: none;
}

.prime_modal .button_round {
  padding: 0px;
  border-radius: 100%;
  width: 30px;
  height: 30px;
  text-align: center;
  line-height: 30px;
}

.prime_modal .button_round i {
  line-height: 30px;
}

.prime_modal .button_right {
  float: right;
}

.prime_modal .button_blue {
  background: #7ebeff;
  color: #0e253c;
}

.prime_modal .button_blue:hover {
  background: #0e253c;
  color: #fff;
}

.prime_modal .button_green {
  background: #5ebd5e;
  color: #fff;
}

.prime_modal .button_green:hover {
  background: #062a06 !important;
}

.prime_modal .button_primary {
  background: #ccc;
  color: #fff;
}

.prime_modal .button_primary:hover {
  background: #efefef !important;
}

.prime_modal .button_red {
  background: #ed5050;
  color: #fff;
}

.prime_modal .button_red:hover {
  background: #5c0606;
  color: #fff;
}

.prime_modal .button_gray {
  background: #e2e2e2;
  color: #000;
}

.prime_modal .button_gray:hover {
  background: #000;
  color: #fff;
}

.prime_modal .modal_drag_handle {
    background: #fff;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 15px;
    cursor: pointer;
    border-radius: 100%;
}

@keyframes prime_modal_in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes prime_modal_in_uncentered {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes prime_modal_out {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@keyframes prime_modal_out_uncentered {
    from {
        top: 5%;
        opacity: 1;
    }
    to {
        top: -10%;
        opacity: 0;
    }
}

.prime_alert {
    width: 100%;
    min-height: 100%;
    height: auto;
    background: transparent;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999999999;
    overflow-y: auto;
    opacity: 1;
    animation: prime_modal 0.2s forwards;
    pointer-events: none;
    font-family: 'Arial', sans-serif;
}

.prime_alert_container {
    background: #fff;
    max-width: calc(90% - 30px);
    position: absolute;
    top: 80px;
    left: 50%;
    transform: translate(-50%, 0%);
    opacity: 1;
    border-radius: 5px;
    padding: 15px;
    animation: prime_alert_in 0.15s forwards;
}

@keyframes prime_alert {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes prime_alert_closing {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

.prime_alert_error {
    background: #ffc7c7;
    border: 1px solid #ff8989;
    color: #000;
}

.prime_alert_success {
    background: #5ebd5e;
    border: 1px solid #5ebd5e;
    color: #fff;
}

.prime_alert_warning {
    background: #ffc680;
}

.prime_alert .prime_alert_buttons {
    width: auto;
    padding: 20 0 0 0;
    float: right;
}

.prime_alert .prime_alert_buttons .button {
    margin: 5px 5px 5px 0px;
    border-radius: 4px;
}

.prime_alert .prime_alert_buttons .button:last-child {
    /* border-bottom-right-radius: 10px; */
}

.prime_alert .prime_alert_uncentered {
    top: 25px;
    animation: prime_alert_in_uncentered 0.15s forwards;
    transform: translate(-50%, -0%);
}

.prime_alert_closing .prime_alert_container {
    animation: prime_alert_out 0.25s forwards;
}

.prime_alert_closing .prime_alert_uncentered {
    animation: prime_alert_out_uncentered 0.15s forwards !important;
}

.prime_alert_closing {
    animation: prime_alert_closing 0.15s forwards;
}

.prime_alert .prime_alert_content {
    overflow: auto;
    max-height: 85%;
}

.prime_alert .prime_alert_title {
    font-size: 1em;
    margin: 0 0 5 0;
    font-weight: bold;
}

.prime_alert .prime_alert_title .prime_alert_close {
    float: right;
    cursor: pointer;
    padding: 3px 8px;
}

.prime_alert .prime_alert_title .prime_alert_close:hover {
    background: #ebebeb;
}


@keyframes prime_alert_in {
    0% {
        top: 60px;
        opacity: 0;
    }
    100% {
        top: 80px;
        opacity: 1;
    }
}

@keyframes prime_alert_out {
    from {
        opacity: 1;
        top: 80px;
    }
    to {
        opacity: 0;
        top: 60px;
    }
}
